Subject: Re: bcm43xx regression 2.6.19rc3 -> rc5, rtnl_lock trouble?

From: Larry Finger <[email-masked]>
Date: Sat, 18 Nov 2006 11:05:08 -0600

Johannes Berg wrote:
> On Sat, 2006-11-18 at 06:24 -0500, Joseph Fannin wrote:
> 
>>     This sounds like what my laptop was doing in -rc5, though mine
>> didn't take hours to start acting up.
>>
>>     I *think* it was the MSI troubles, causing interrupts to get
>> lost forever.  Anyway, it went away in -rc6.
> 
> Hah, that's a lot more plausible than bcm43xx's drain patch actually
> causing this. So maybe somehow interrupts for bcm43xx aren't routed
> properly or something...
> 
> Ray, please check /proc/interrupts when this happens.
> 
> I am convinced that the patch in question (drain tx status) is not
> causing this -- the patch should be a no-op in most cases anyway, and in
> those cases where it isn't a no-op it'll run only once at card init and
> remove some things from a hardware-internal FIFO.

I agree that drain tx status should not cause the problem.

Ray, does -rc6 solve your problem as it did for Joseph?

Larry